/*
 *	LCD interface header file
 *	See lcd.c for more info
 */

//LCD location parameter
//LCD drive for SC1602BS 16 columns 2 lines 
#define	LCD_LineNumber1	0x00
#define	LCD_LineNumber2	0x40

//-LCD kind settings
#ifdef	_LCD1602
#define	LCD_LineLength1	0x10	//LCD 16x2
#endif
#ifdef	_LCD0802
#define	LCD_LineLength1	0x08	//LCD 8x2
#endif
#ifdef	_LCD2402
#define	LCD_LineLength1	0x18	//LCD 24x2
#endif


//LCD line length
#define	LCD_LineLength2	(LCD_LineLength1 + LCD_LineNumber2)

//LCD location parameter
//LCD drive for SC1602BS 16 columns 2 lines 
#define	LCD_LineNumber1	0x00
#define	LCD_LineNumber2	0x40
#define	LCD_CursorBlink	0x0f
#define	LCD_CursorOn	0x0e
#define	LCD_CursorOff	0x0c

/*	Set the cursor position */
#define	lcd_cursor(x)	lcd_write(((x)&0x7F)|0x80)

//LCD STROBE (general specification is more than 500ns)
#define	LCD_STROBE	(((LCD_EN = 1),(LCD_EN=0))

/* write a byte to the LCD in 4 bit mode */
extern void lcd_write(unsigned char);

/* Clear and home the LCD */
extern void lcd_clear(void);

/* write a string of characters to the LCD */
extern void lcd_puts(const char * s);

/* Go to the specified position */
extern void lcd_goto(unsigned char pos);

/* intialize the LCD - call before anything else */
extern void lcd_init(void);
extern void lcd_putch(unsigned char);

/*	Now LCD position memory */
unsigned char lcd_loccnt=0;

/* CG RAM write data set */
extern void lcd_cgwrite(unsigned char);

//LCD new line 
extern void lcd_newline(unsigned char);

//LCD space full
void lcd_space_full(unsigned char);
