/*----------------------------------------------------------------------------
 project name	:LCD Serial communication monitor
 file name		: main.h                                               
 CPU			: PIC16F1827
 note			: main process
----------------------------------------------------------------------------*/

/*******************************************/
/*              define data                */
/*******************************************/

//Clock source select (Default :external 8MHz)------------------------------------ 
//When you use an internal oscillating circuit,
// please remove this comment and validate it. 
//In that case, plus-or-minus 2% of an oscillation error arises. 

//#define _InternalClock


//LCD kind set------------------------------------------------------------------- 
//Choose use the LCD module model number

//#define	_LCD0802
#define	_LCD1602
//#define	_LCD2402 

//------------------------------------------------------------------- 
//Clock control
#define MHz 000000
#define _XTAL_FREQ 8MHz

//Version infomation(for use display)
#define	VersionCode	"ver1.00"
#ifdef	_LCD0802
#define	VersionInfo	"ACM0802C"
#endif
#ifdef	_LCD1602
#define	VersionInfo	"SC1602BS "
#endif
#ifdef	_LCD2402
#define	VersionInfo	"SC242A(16F1827) "
#endif

//Switch Port assignment
#define	SW_MODE		RB0 //mode set
#define	SW_LEFT		RB4 //left key
#define	SW_RIGHT	RB5 //right key
#define DisplayMode	0x7f //eeprom display address
#define COM_Speed	0x7e //eeprom display address

//Speed setting
#define Speed1200	249
#define Speed2400	250
#define Speed4800	251
#define Speed9600	252
#define Speed19200	253
#define Speed31250	254
#define Speed38400	255

#define MIN_Speed	Speed1200
#define MAX_Speed	Speed38400

//Mode setting
#define ASCIImode	0xff
#define HEXmode		0xfe

//RX buffer size
#define MAX_BUFF	256


/*******************************************/
/*              table data                 */
/*******************************************/


/*******************************************/
/*           extern function               */
/*******************************************/


/*******************************************/
/*            extern variable              */
/*******************************************/
extern void delay_10ms(unsigned char);
